From dd9d41cfb6d48cc03a71c8604f3d913c35df4844 Mon Sep 17 00:00:00 2001
From: Mario Martelli <cocoa@schnuddelhuddel.de>
Date: Sun, 25 Jun 2017 01:03:34 +0200
Subject: [PATCH 3/4] org-protocol.el sources with date URL are supported

* (org-protocol-project-alist): date-URL is added as example
* (org-protocol-open-source): first match is processed in rewrite

TINYCHANGE
---
 lisp/org-protocol.el | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

diff --git a/lisp/org-protocol.el b/lisp/org-protocol.el
index 6744fc0ac..5d4baae34 100644
--- a/lisp/org-protocol.el
+++ b/lisp/org-protocol.el
@@ -194,7 +194,14 @@ Example:
           :working-suffix \".org\"
           :base-url \"http://localhost/org/\"
           :working-directory \"/home/user/org/\"
-          :rewrites ((\"org/?$\" . \"index.php\")))))
+          :rewrites ((\"org/?$\" . \"index.php\")))
+         (\"Hugo based blog\"
+          :base-url \"https://themes.gohugo.io/theme/hugo-icarus/\"
+          :working-directory \"~/Documents/MyBlog/themes/hugo-icarus-theme/exampleSite/content/post/\"
+          :online-suffix \".html\"
+          :working-suffix \".md\"
+          :rewrites ((\"\\(https://themes.gohugo.io/theme/hugo-icarus/[0-9]+/[0-9]+/[0-9]+/\\)\" . \".md\")))))
+
 
    The last line tells `org-protocol-open-source' to open
    /home/user/org/index.php, if the URL cannot be mapped to an existing
@@ -554,8 +561,13 @@ The location for a browser's bookmark should look like this:
 		      ;; Try to match a rewritten URL and map it to
 		      ;; a real file.  Compare redirects without
 		      ;; suffix.
-		      (when (string-match-p (car rewrite) f1)
-			(throw 'result (concat wdir (cdr rewrite))))))))
+		      (when (string-match (car rewrite) f1)
+			(setq replacement (cdr rewrite))
+			(if (match-string 0 f1)
+			    (setq replacement (concat
+					       (directory-file-name  (replace-match "" nil nil f1 1))
+					       replacement )))))
+		    (throw 'result (concat wdir replacement)))))
 	      ;; -- end of redirects --
 
               (if (file-readable-p the-file)
-- 
2.11.0 (Apple Git-81)

